Bug 624660 - Review Request: rakudo-star - Rakudo, Perl6-modules, Blizkost and documentation
Review Request: rakudo-star - Rakudo, Perl6-modules, Blizkost and documentation
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
http://www.rakudo.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-17 08:11 EDT by Gerd Pokorra
Modified: 2010-10-21 02:00 EDT (History)
3 users (show)

See Also:
Fixed In Version: rakudo-star-0.0.2010.09_2.8.0-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-04 05:08:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mmaslano: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Gerd Pokorra 2010-08-17 08:11:12 EDT
Spec URL: ftp://ftp.uni-siegen.de/pub/review/rakudo-star.spec
SRPM URL: 
ftp://ftp.uni-siegen.de/pub/review/rakudo-star-0.0.2010.07_2.6.0-1.fc13.src.rpm

Description:
Rakudo Star is a collection of things around Rakudo. The Fedora package
installs the most modules that are available for Perl 6. For the rakudo
executable "perl6" itself exists an own package.
Rakudo Star also includes Blizkost, which enables you to use Perl 5
modules from Perl 6.

F15 scratch build URL:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2406663
Comment 1 Gerd Pokorra 2010-08-24 21:20:49 EDT
F13 scratch build URL: http://koji.fedoraproject.org/koji/taskinfo?taskID=2425033
Comment 2 Gerd Pokorra 2010-08-29 05:49:42 EDT
new Description:
Rakudo Perl 6, or just Rakudo, is a Perl 6 compiler for the Parrot virtual
machine. Rakudo is an implementation of the Perl 6 specification that runs
on the Parrot VM. More information about Perl 6 is available from:
http://perl6.org
Rakudo Star is a collection of things around Rakudo. It installs Perl 6 modules.
Rakudo Star also includes Blizkost, which enables you to use Perl 5
modules from Perl 6.
The documentation includes a PDF-document that describes the using of Perl 6.

new SRPM URL:
ftp://ftp.uni-siegen.de/pub/review/rakudo-star-0.0.2010.08_2.7.0-1.fc13.src.rpm

the old Spec URL holds the current spec-file:
ftp://ftp.uni-siegen.de/pub/review/rakudo-star.spec

latest successful F15 scratch build URL:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2433421

- desktop files added

This is a build of the current Rakudo star sources which should go in the Fedora 14 release if the review is done.
Comment 3 Gerd Pokorra 2010-08-29 08:20:58 EDT
The rakudo-star package compiles the perl6 executable und the perl modules. It should replace the rakudo package.

URL of successful scratch build with F14:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2433586

URL of successful scratch build with F13:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2433589


I think the rpmlint output looks acceptable:

> rpmlint rakudo-star.spec
rakudo-star.spec: W: invalid-url Source1: rakudo.desk.in.tar.gz
0 packages and 1 specfiles checked; 0 errors, 1 warnings. 

> rpmlint rakudo-star-0.0.2010.08_2.7.0-1.fc13.src.rpm
rakudo-star.src: W: invalid-url Source1: rakudo.desk.in.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

> rpmlint rakudo-star-0.0.2010.08_2.7.0-1.fc13.x86_64.rpm 
rakudo-star.x86_64: W: no-manual-page-for-binary parrot-blizkost
rakudo-star.x86_64: W: no-manual-page-for-binary ufo
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

> rakudo-star-debuginfo-0.0.2010.08_2.7.0-1.fc13.x86_64.rpm 
rakudo-star-debuginfo.x86_64: E: debuginfo-without-sources
1 packages and 0 specfiles checked; 1 errors, 0 warnings.
Comment 4 Gerd Pokorra 2010-08-30 22:37:47 EDT
Added:
- filter out the perl5 modules requires for perl6 modules


latest successful F15 scratch build URL:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2436342


Rakudo Star 2010.08 requires Parrot 2.7.0. There is no buildroot override for it any more.

For testing at the moment on Fedora 13 and Fedora 14 you can download the necessary parrot-rpms from:
- F13: https://koji.fedoraproject.org/koji/buildinfo?buildID=192326
- F14: https://koji.fedoraproject.org/koji/buildinfo?buildID=192598
Comment 5 Gerd Pokorra 2010-08-30 22:54:29 EDT
I forget to tell: the updated spec file and source rpm are at the old URLs

Spec URL: ftp://ftp.uni-siegen.de/pub/review/rakudo-star.spec
SRPM URL: 
ftp://ftp.uni-siegen.de/pub/review/rakudo-star-0.0.2010.07_2.6.0-1.fc13.src.rpm
Comment 6 Marcela Mašláňová 2010-09-01 03:36:44 EDT
> I forget to tell: the updated spec file and source rpm are at the old URLs
> 
> Spec URL: ftp://ftp.uni-siegen.de/pub/review/rakudo-star.spec
> SRPM URL: 
> ftp://ftp.uni-siegen.de/pub/review/rakudo-star-0.0.2010.07_2.6.0-1.fc13.src.rpm

This happened on my updated F-14 with latest srpm.
http://fpaste.org/hO6O/

I tried rebuild srpm from comment 4 for F-14 with this bug:
+ rm -rf /root/rpmbuild/BUILDROOT/parrot-2.7.0-1.fc14.i386/usr/lib/parrot/2.7.0/tools/lib/File
+ /bin/sed -i -e '67 s&use lib "$Bin/../../lib"\; # build location&use lib '\''/usr/lib/parrot/2.7.0/tools/lib'\''\; # RPM location&' tools/dev/mk_language_shell.pl
+ find /root/rpmbuild/BUILDROOT/parrot-2.7.0-1.fc14.i386/usr/lib/parrot/2.7.0/tools -type f -name '*.pl' -exec chmod 755 '{}' ';' -exec /bin/sed -i -e '1 s&#! perl&#!/usr/bin/perl&' '{}' ';'
+ find /root/rpmbuild/BUILDROOT/parrot-2.7.0-1.fc14.i386/usr/lib/parrot/2.7.0/tools/dev -type f -name pbc_to_exe.pir -exec /bin/sed -i -e '1 s&#! parrot&#!/usr/bin/parrot&' '{}' ';' -exec chmod 755 '{}' ';'
+ find docs/html -type f -size 0 -exec rm -f '{}' ';'
find: `docs/html': No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.Mahaqf (%install)
Comment 7 Marcela Mašláňová 2010-09-01 03:54:27 EDT
%{__ln_s} ../../../perl6 m_install/usr/bin/perl6
%{__make} modules-install DESTDIR=$( pwd )/m_install
%{__rm} m_install/usr/bin/perl6

These macros are unusual, but you are using them constantly in whole spec file, so it's not against guidelines.
Comment 8 Marcela Mašláňová 2010-09-01 04:03:15 EDT
Now I've notice that the last SRPM is from 07 not 08. Could you provide the latest SRPM, which can be build in F-14? I suppose successful build in F-14 is the most important.
Comment 9 Marcela Mašláňová 2010-09-01 04:12:15 EDT
Also:
[root@arrakis ~]# rpm -i rakudo-star-0.0.2010.08_2.7.0-1.fc14.i686.rpm 
error: Failed dependencies:
        perl(Form::Actions) is needed by rakudo-star-0.0.2010.08_2.7.0-1.fc14.i686
        perl(Form::Field) is needed by rakudo-star-0.0.2010.08_2.7.0-1.fc14.i686
        perl(Form::Grammar) is needed by rakudo-star-0.0.2010.08_2.7.0-1.fc14.i686
        perl(Form::NumberFormatting) is needed by rakudo-star-0.0.2010.08_2.7.0-1.fc14.i686
        perl(Form::TextFormatting) is needed by rakudo-star-0.0.2010.08_2.7.0-1.fc14.i686
        perl(JSON::Tiny::Actions) is needed by rakudo-star-0.0.2010.08_2.7.0-1.fc14.i686
        perl(JSON::Tiny::Grammar) is needed by rakudo-star-0.0.2010.08_2.7.0-1.fc14.i686
        perl(Math::RungeKutta) is needed by rakudo-star-0.0.2010.08_2.7.0-1.fc14.i686
        perl(SVG::Box) is needed by rakudo-star-0.0.2010.08_2.7.0-1.fc14.i686
        perl(SVG::Plot) is needed by rakudo-star-0.0.2010.08_2.7.0-1.fc14.i686

Do you need help with packaging those?
Comment 10 Gerd Pokorra 2010-09-01 06:48:09 EDT
Sorry! It is not comprehendible because I did not increase the release number after doing changes.
You need to download the SRPM from this URL:
ftp://ftp.uni-siegen.de/pub/review/rakudo-star-0.0.2010.07_2.6.0-1.fc13.src.rpm
and rebuild this on F-14.
The SRPM from the F-14 scratch build is not the current version.
I have built and installed it under F-13 without problems so it should also do this under F-14.
Comment 11 Marcela Mašláňová 2010-09-01 08:30:54 EDT
One problem was, that I have already installed parrot-2.7.0 from testing. I wasn't able to rebuild it locally, because it couldn't found some directories.

You should (according to guidelines) package the latest version which means 2010.08?
Comment 12 Gerd Pokorra 2010-09-01 09:07:05 EDT
(In reply to comment #11)
> One problem was, that I have already installed parrot-2.7.0 from testing. I
> wasn't able to rebuild it locally, because it couldn't found some directories.
> 

In the build.log there is no message to see that
 find docs/html -type f -size 0 -exec rm -f '{}' ';'
finds no files. I will try it again with and without this command and look if there is a differnce in the number of files. It was added to reduce rpmlint messages. May be the sources will have changed that it is not necessary any more.
I hope to find same time to do this today.
 


> You should (according to guidelines) package the latest version which means
> 2010.08?

Sorry again the corret links is:
ftp://ftp.uni-siegen.de/pub/review/rakudo-star-0.0.2010.08_2.7.0-1.fc13.src.rpm

It was a paste and copy in a hurry between to other things without looking and thinking.
Comment 13 Gerd Pokorra 2010-09-01 11:13:18 EDT
Here is the result of rebuilding the parrot package without the line

 find docs/html -type f -size 0 -exec rm -f '{}' ';'

in release 2.


> rpm -qlp parrot-docs-2.7.0-1.fc14.noarch.rpm | wc -l
867

> rpm -qlp parrot-docs-2.7.0-2.fc14.noarch.rpm | wc -l
918


> rpmlint parrot-docs-2.7.0-1.fc14.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

> rpmlint parrot-docs-2.7.0-2.fc14.noarch.rpm 
parrot-docs.noarch: E: zero-length /usr/share/doc/parrot-docs-2.7.0/docs/html/src/main.c.html
parrot-docs.noarch: E: zero-length /usr/share/doc/parrot-docs-2.7.0/docs/html/Configure.pl.html
parrot-docs.noarch: E: zero-length /usr/share/doc/parrot-docs-2.7.0/docs/html/src/utils.c.html
parrot-docs.noarch: E: zero-length /usr/share/doc/parrot-docs-2.7.0/docs/html/t/distro/file_metadata.t.html
parrot-docs.noarch: E: zero-length /usr/share/doc/parrot-docs-2.7.0/docs/html/lib/Parrot/Configure/Step.pm.html
...
parrot-docs.noarch: E: zero-length /usr/share/doc/parrot-docs-2.7.0/docs/html/src/io/core.c.html
parrot-docs.noarch: E: zero-length /usr/share/doc/parrot-docs-2.7.0/docs/html/src/nci_test.c.html
1 packages and 0 specfiles checked; 51 errors, 0 warnings.
Comment 14 Marcela Mašláňová 2010-09-02 05:54:43 EDT
rpmlint rakudo-star-0.0.2010.08_2.7.0-1.fc13.src.rpm 
rakudo-star.src: W: strange-permission rakudo.desk.in.tar.gz 0444L
rakudo-star.src: W: strange-permission rakudo-star-2010.08.tar.gz 0444L
rakudo-star.src: W: invalid-url Source1: rakudo.desk.in.tar.gz

Could you enlighten reason for such strange permission? Invalid url is fine, because you've created Source1 just to obey Fedora Guidelines.

rpmlint rpmbuild/RPMS/i686/rakudo-star-0.0.2010.08_2.7.0-1.fc14.i686.rpm 
rakudo-star.i686: W: no-manual-page-for-binary parrot-blizkost
rakudo-star.i686: W: no-manual-page-for-binary ufo

Are they needed?

rpmlint rpmbuild/RPMS/i686/rakudo-star-debuginfo-0.0.2010.08_2.7.0-1.fc14.i686.rpm
rakudo-star-debuginfo.i686: E: debuginfo-without-sources

That's definitely problem. Sources might not be stripped e.g. if there's forgotten option in Makefile.
Comment 15 Marcela Mašláňová 2010-09-02 08:12:24 EDT
Debug files are missing because debuglists in rakudo-star-2010.08 are empty.

You need look in configure/makefile files for problems if it's possible. List of recommendation could be found here:
https://fedoraproject.org/wiki/Packaging:Debuginfo
Comment 16 Gerd Pokorra 2010-09-03 03:06:13 EDT
New Spec URL:
ftp://ftp.uni-siegen.de/pub/review/rakudo-star.spec.2

New SRPM URL:
ftp://ftp.uni-siegen.de/pub/review/rakudo-star-0.0.2010.08_2.7.0-2.fc13.src.rpm

- changed permission of source files
- added tests for modules
- changed the place of the installed perl-script "ufo"


(In reply to comment #14)
> 
> Could you enlighten reason for such strange permission? Invalid url is fine,
> because you've created Source1 just to obey Fedora Guidelines.

I will ask to put the desktop files in the upstream of rakudo-star.

> 
> rpmlint rpmbuild/RPMS/i686/rakudo-star-0.0.2010.08_2.7.0-1.fc14.i686.rpm 
> rakudo-star.i686: W: no-manual-page-for-binary parrot-blizkost
> rakudo-star.i686: W: no-manual-page-for-binary ufo
> 
> Are they needed?

parrot-blizkost is a nice executable to run Perl 5 on top of Parrot. The README of Blizkost is in POD-Format and could be converted to a man-page, but the most part of it is only an installation instruction and not very helpful.

> 
> rpmlint
> rpmbuild/RPMS/i686/rakudo-star-debuginfo-0.0.2010.08_2.7.0-1.fc14.i686.rpm
> rakudo-star-debuginfo.i686: E: debuginfo-without-sources
> 
> That's definitely problem. Sources might not be stripped e.g. if there's
> forgotten option in Makefile.

I was lost upon to fix to get the sources in the debuginfo-rpm. Even I tried several things. It seams that "find-debuginfo.sh" extract wrong things
(or better rakudo-star include wrong things):

+ /usr/lib/rpm/find-debuginfo.sh --strict-build-id /home/gz016/rpmbuild/BUILD/rakudo-star-2010.08
extracting debug info from /home/gz016/rpmbuild/BUILDROOT/rakudo-star-0.0.2010.08_2.7.0-2.fc13.x86_64/usr/bin/parrot-blizkost
extracting debug info from /home/gz016/rpmbuild/BUILDROOT/rakudo-star-0.0.2010.08_2.7.0-2.fc13.x86_64/usr/bin/perl6
extracting debug info from /home/gz016/rpmbuild/BUILDROOT/rakudo-star-0.0.2010.08_2.7.0-2.fc13.x86_64/usr/lib64/parrot/2.7.0/dynext/perl6_ops.so
extracting debug info from /home/gz016/rpmbuild/BUILDROOT/rakudo-star-0.0.2010.08_2.7.0-2.fc13.x86_64/usr/lib64/parrot/2.7.0/dynext/blizkost_group.so
extracting debug info from /home/gz016/rpmbuild/BUILDROOT/rakudo-star-0.0.2010.08_2.7.0-2.fc13.x86_64/usr/lib64/parrot/2.7.0/dynext/perl6_group.so
cpio: /builddir/build/BUILD/parrot-2.7.0: Cannot stat: No such file or directory
0 blocks
+ /usr/lib/rpm/check-buildroot

After the build there are this files in the build root:
debugfiles.list  debuglinks.list  debugsources.list
You find them at this URL:
ftp://ftp.uni-siegen.de/pub/review/debug.lists/

debugsources.list has as content: /builddir/build/BUILD/parrot-2.7.0

I tried miscellaneous "%define debug_package ...." and patches of the source but nothing works. I think nobody will missing the files and perhaps it can be fixed later.
Comment 17 Marcela Mašláňová 2010-09-03 07:18:23 EDT
I was looking on debug files a little and I've noticed that not all gcc calls are using -g, which creates debug. See:
gcc -c -o src/pmc/p5invocation.o -I/usr/include/parrot/2.7.0 -I/usr/include/parrot/2.7.0/pmc -D_GNU_SOURCE -DHASATTRIBUTE_CONST  -DHASATTRIBUTE_DEPRECATED  -DHASATTRIBUTE_MALLOC  -DHASATTRIBUTE_NONNULL  -DHASATTRIBUTE_NORETURN  -DHASATTRIBUTE_PURE  -DHASATTRIBUTE_UNUSED  -DHASATTRIBUTE_WARN_UNUSED_RESULT  -DHASATTRIBUTE_HOT  -DHASATTRIBUTE_COLD  -DDISABLE_GC_DEBUG=1 -DNDEBUG -DHAS_GETTEXT -fPIC  -falign-functions=16 -fvisibility=hidden -funit-at-a-time -maccumulate-outgoing-args -W -Wall -Waggregate-return -Wcast-align -Wcast-qual -Wchar-subscripts -Wcomment -Wdisabled-optimization -Wdiv-by-zero -Wenum-compare -Wendif-labels -Wextra -Wformat -Wformat-extra-args -Wformat-nonliteral -Wformat-security -Wformat-y2k -Wimplicit -Wimport -Winit-self -Winline -Winvalid-pch -Wjump-misses-init -Wlogical-op -Wmissing-braces -Wmissing-field-initializers -Wno-missing-format-attribute -Wmissing-include-dirs -Wmultichar -Wpacked -Wparentheses -Wpointer-arith -Wpointer-sign -Wreturn-type -Wsequence-point -Wsign-compare -Wstrict-aliasing -Wstrict-aliasing=2 -Wswitch -Wswitch-default -Wtrigraphs -Wundef -Wno-unused -Wunknown-pragmas -Wvariadic-macros -Wwrite-strings -Wbad-function-cast -Wc++-compat -Wdeclaration-after-statement -Werror=declaration-after-statement -Wimplicit-function-declaration -Wimplicit-int -Wmain -Wmissing-declarations -Wmissing-prototypes -Wnested-externs -Wnonnull -Wold-style-definition -Wstrict-prototypes    -D_REENTRANT -D_GNU_SOURCE -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64  -I/usr/lib/perl5/CORE  src/pmc/p5invocation.c
src/pmc/p5invocation.c: In function 'Parrot_P5Invocation_invoke':
src/pmc/p5invocation.c:88:38: warning: ignoring return value of 'Parrot_pcc_build_call_from_c_args', declared with attribute warn_unused_result
gcc -c -o src/pmc/p5hashiterresult.o -I/usr/include/parrot/2.7.0 -I/usr/include/parrot/2.7.0/pmc -D_GNU_SOURCE -DHASATTRIBUTE_CONST  -DHASATTRIBUTE_DEPRECATED  -DHASATTRIBUTE_MALLOC  -DHASATTRIBUTE_NONNULL  -DHASATTRIBUTE_NORETURN  -DHASATTRIBUTE_PURE  -DHASATTRIBUTE_UNUSED  -DHASATTRIBUTE_WARN_UNUSED_RESULT  -DHASATTRIBUTE_HOT  -DHASATTRIBUTE_COLD  -DDISABLE_GC_DEBUG=1 -DNDEBUG -DHAS_GETTEXT -fPIC  -falign-functions=16 -fvisibility=hidden -funit-at-a-time -maccumulate-outgoing-args -W -Wall -Waggregate-return -Wcast-align -Wcast-qual -Wchar-subscripts -Wcomment -Wdisabled-optimization -Wdiv-by-zero -Wenum-compare -Wendif-labels -Wextra -Wformat -Wformat-extra-args -Wformat-nonliteral -Wformat-security -Wformat-y2k -Wimplicit -Wimport -Winit-self -Winline -Winvalid-pch -Wjump-misses-init -Wlogical-op -Wmissing-braces -Wmissing-field-initializers -Wno-missing-format-attribute -Wmissing-include-dirs -Wmultichar -Wpacked -Wparentheses -Wpointer-arith -Wpointer-sign -Wreturn-type -Wsequence-point -Wsign-compare -Wstrict-aliasing -Wstrict-aliasing=2 -Wswitch -Wswitch-default -Wtrigraphs -Wundef -Wno-unused -Wunknown-pragmas -Wvariadic-macros -Wwrite-strings -Wbad-function-cast -Wc++-compat -Wdeclaration-after-statement -Werror=declaration-after-statement -Wimplicit-function-declaration -Wimplicit-int -Wmain -Wmissing-declarations -Wmissing-prototypes -Wnested-externs -Wnonnull -Wold-style-definition -Wstrict-prototypes    -D_REENTRANT -D_GNU_SOURCE -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64  -I/usr/lib/perl5/CORE  src/pmc/p5hashiterresult.c
gcc -o dynext/blizkost_group.so src/pmc/blizkost_group.o src/pmc/bkmarshal.o src/pmc/p5sv.o src/pmc/p5interpreter.o src/pmc/p5scalar.o src/pmc/p5hashiter.o src/pmc/p5namespace.o src/pmc/p5invocation.o src/pmc/p5hashiterresult.o -fstack-protector -L/usr/local/lib  -lresolv -lnsl -ldl -lm -lcrypt -lutil -lpthread -lrt -lgmp -lreadline  -shared -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -L/usr/local/lib -fPIC  -Wl,-E -Wl,-rpath,/usr/lib/perl5/CORE  -fstack-protector -L/usr/local/lib  -L/usr/lib/perl5/CORE -lperl -lresolv -lnsl -ldl -lm -lcrypt -lutil -lpthread -lc
/usr/bin/parrot  -o perl5.pbc perl5.pir
Comment 18 Marcela Mašláňová 2010-09-03 07:52:48 EDT
I didn't find where are configured CFLAGS. They should use RPM_OPT_FLAGS. -g is set in different variable then CFLAGS, so that might be reason why some files are not compiled with -g.

I will continue with formal review according to list, because it looks like all right except debuginfo.

- rpmlint checks return:
rpmlint *
rakudo-star.i686: W: no-manual-page-for-binary parrot-blizkost
Not a problem.
rakudo-star-debuginfo.i686: E: debuginfo-without-sources
Working on.
rakudo-star.src: W: invalid-url Source1: rakudo.desk.in.tar.gz
Should be added in upstream, but that's really not a blocker.

- package meets naming guidelines
- package meets packaging guidelines
- license (Artistic 2.0) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream abdadbc3016498c3bd8a89b53f63ae35
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
! macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- .desktop files are ok

Nitpick: please use consistent macros s/${RPM_BUILD_ROOT}/$RPM_BUILD_ROOT/
%define DESK_TARGET ${RPM_BUILD_ROOT}%{_datadir}/applications/
Comment 19 Gerd Pokorra 2010-09-03 09:53:57 EDT
New Spec URL:
ftp://ftp.uni-siegen.de/pub/review/rakudo-star.spec.3

New SRPM URL:
ftp://ftp.uni-siegen.de/pub/review/rakudo-star-0.0.2010.08_2.7.0-3.fc13.src.rpm

- consistent use of $RPM_BUILD_ROOT


(In reply to comment #18)
> I didn't find where are configured CFLAGS. They should use RPM_OPT_FLAGS. -g is
> set in different variable then CFLAGS, so that might be reason why some files
> are not compiled with -g.
> 

This may be the reason. Parrot is configured with: 

%{__perl} Configure.pl --optimize="$RPM_OPT_FLAGS" ....

But parrot don't give the optimize flags through to "pbc_to_exe". I will change the upstream of parrot at the weekend.
Comment 20 Gerd Pokorra 2010-09-06 06:32:02 EDT
Rakudo read his configuration from Parrot so this change of the parrot sources may be help to fix the debuginfo problem:

http://trac.parrot.org/parrot/changeset/48809
Comment 21 Marcela Mašláňová 2010-09-06 09:07:05 EDT
Debuginfo is according to guidelines blocker. Also not only -g should be in CFLAGS but all RPM_OPT_FLAGS.
Comment 22 Gerd Pokorra 2010-09-07 22:00:36 EDT
New Spec URL:
ftp://ftp.uni-siegen.de/pub/review/rakudo-star.spec.4

New SRPM URL:
ftp://ftp.uni-siegen.de/pub/review/rakudo-star-0.0.2010.08_2.7.0-4.fc13.src.rpm

- let rakudo read the 'optimize' value of the parrot configuration this add flags like '-g' to CFLAGS

I find a way to add RPM_OPT_FLAGS to CFLAGS, that fix the debuginfo rpm problem.
Thank you very much for that tip.

> rpmlint rakudo-star-debuginfo-0.0.2010.08_2.7.0-4.fc13.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

F15 scratch build URL:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2453545
Comment 23 Marcela Mašláňová 2010-09-08 03:57:04 EDT
Great, I've successfully rebuilt it in F-14.

There are only two problems, which are not blocker for review:
rakudo-star.i686: W: no-manual-page-for-binary parrot-blizkost
rakudo-star.src: W: invalid-url Source1: rakudo.desk.in.tar.gz
Comment 24 Gerd Pokorra 2010-09-08 04:49:29 EDT
New Spec URL:
ftp://ftp.uni-siegen.de/pub/review/rakudo-star.spec.5

New SRPM URL:
ftp://ftp.uni-siegen.de/pub/review/rakudo-star-0.0.2010.08_2.7.0-5.fc13.src.rpm

- add provides/obseletes for replacing the existing rakudo package
Comment 26 Gerd Pokorra 2010-09-08 08:21:07 EDT
New Package SCM Request
=======================
Package Name: rakudo-star
Short Description: Rakudo, Perl6-modules, Blizkost and documentation
Owners: gerd
Branches: f13 f14 el6
InitialCC: gerd
Comment 27 Kevin Fenzi 2010-09-08 13:58:12 EDT
Git done (by process-git-requests).
Comment 28 Marcela Mašláňová 2010-10-04 05:08:16 EDT
It could be closed now. The package was built in all mentioned branches.
Comment 29 Fedora Update System 2010-10-11 08:32:53 EDT
rakudo-star-0.0.2010.09_2.8.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rakudo-star-0.0.2010.09_2.8.0-1.fc14
Comment 30 Fedora Update System 2010-10-11 08:34:10 EDT
rakudo-star-0.0.2010.09_2.8.0-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rakudo-star-0.0.2010.09_2.8.0-1.fc13
Comment 31 Fedora Update System 2010-10-19 05:07:31 EDT
rakudo-star-0.0.2010.09_2.8.0-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 32 Fedora Update System 2010-10-21 02:00:51 EDT
rakudo-star-0.0.2010.09_2.8.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.